webkit-0.12.6.1: Binding to the Webkit library.

Maintainer | gtk2hs-users@lists.sourceforge.net
Stability | provisional
Portability | portable (depends on GHC)
Safe Haskell | None
Language | Haskell98

Graphics.UI.Gtk.WebKit.NetworkResponse

Contents

- Description
- Types
- Methods

Description

The response given to a network request

Synopsis

- data NetworkResponse
- class GObjectClass o => NetworkResponseClass o
- networkResponseSetUri :: NetworkResponseClass self => self -> String -> IO ()
- networkResponseGetUri :: NetworkResponseClass self => self -> IO (Maybe String)

# Description

This class represents the network related aspects of a navigation response.

# Types

data NetworkResponse

Instances

Eq NetworkResponse |
Ord NetworkResponse |
GObjectClass NetworkResponse |
NetworkResponseClass NetworkResponse |

class GObjectClass o => NetworkResponseClass o

Instances

NetworkResponseClass NetworkResponse |

# Methods

networkResponseSetUri

Arguments

:: NetworkResponseClass self |
=> self |
-> String | `uri` - the uri will be set to the response.
-> IO () |

Set the URI of `NetworkResponse`.

networkResponseGetUri

Arguments

:: NetworkResponseClass self |
=> self |
-> IO (Maybe String) | the URI or `Nothing` in case failed.

Return the uri of `NetworkResponse`.